<template>
  <div class="SdkBox" v-drag>
    <div class="title">算法事件</div>
    <div class="close iconfont" @click="close()">&#xe60f;</div>

    <div class="sdkList scroll">
      <el-tooltip
        v-for="(item, index) in this.TaskMange.list1"
        :key="index"
        :content="item.sdk_name"
        placement="top"
      >
        <img
          :src="item.iconBlob"
          alt=""
          draggable="true"
          @dragstart="dragstart(item)"
          @dragend="dragleave"
        />
      </el-tooltip>
    </div>
  </div>
</template>

<script>
import bus from "@/plugin/bus";
export default {
  created() {
    console.log(121212);
    console.log(this.TaskMange.list1);
  },
  methods: {
    close() {
      this.$emit("close");
    },
    dragstart(data) {
      this.$store.commit("setNewSdk", data);
      bus.$emit("addSdk");
      console.log(data);
    },
    dragleave() {
      bus.$emit("dragleave");
    },
  },
};
</script>

<style lang="scss" scoped>
.SdkBox {
  position: fixed;
  top: 192px;
  right: 44px;
  width: 240px;
  height: 534px;
  background-color: #fff;
  box-shadow: 0px 2px 16px 0px rgba(0, 43, 106, 0.25);
  z-index: 2;

  .title {
    box-sizing: border-box;
    padding: 20px;
    height: 64px;
    border-bottom: 1px solid #e9ebee;
    font-size: 18px;
    font-weight: 700;
  }

  .close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 12px;
    color: #666;
    cursor: pointer;
  }

  .sdkList {
    overflow-y: auto;
    box-sizing: border-box;
    padding: 30px 10px 30px 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    height: 470px;

    img {
      margin-bottom: 10px;
      width: 60px;
      height: 60px;

      &:hover {
        filter: drop-shadow(0px 4px 12px rgba(0, 51, 128, 0.18));
      }
    }
  }
}
</style>